Subject: Re: Steps to integrate new 40G Network driver to the kernel tree

From: Joyce Yu - System Software <[email-masked]>
Date: Tue, 21 Jun 2011 16:53:21 -0700

Since it is a new driver, shall I follow the "Submitting Drivers for the 
Linux Kernel" Doc? The driver is ready and passed all our QA cycles. I  
have three source base, one is for 2.6.16 and 2.6.18 (for RHL 5.X and 
SLES 10 SP3) , one is for 2.6.32 (For RHL 6.X, SLES11SP1), one for 
2.6.27 (For SLES11). Can it be integrated to the 2.6.18 and 2.6.32 tree? 
or it has to be in the latest 2.6.39 or later?

Thanks,
Joyce